import java.awt.*;
import java.awt.event.*;

public class GamePanel extends Panel{
	private GameButton[][] buttons;
	private GameLogic game;
	
	public GamePanel(){
		buttons = new GameButton[3][3];
		game = new GameLogic();
		this.setLayout(new GridLayout(3,3));
		for(int i = 0; i<3; i++){
			for(int j = 0; j<3; j++){
				buttons[i][j] = new GameButton();
				buttons[i][j].addActionListener(new GameActionListener());
				this.add(buttons[i][j]);
			}
		}
	}
	

	public class GameActionListener implements ActionListener{
		
		public void actionPerformed(ActionEvent e){
		
			GameButton button = (GameButton)e.getSource();
			if(game.getTurn() == 1){
				button.setLabel("X");
				game.addX();
			}
			else{
				button.setLabel("O");
			
			}
			
			button.setEnabled(false);
			button.setBackground(Color.green);
			game.setTurn();
			boolean victory = game.checkVictory();
			if(victory){
				setEnabled(false);
				OutputWindow.print("Game Over");
			}
		
	   }
	}

}